<form #sponsoredPayment="ngForm" (ngSubmit)="onSubmit(sponsoredPayment)">
  <div>
  <select
    ngModel
    name="id"
    #id="ngModel"
    required>
<!--    <option>None</option>-->
    <option *ngFor="let animal of owned" [value] = "animal.id">{{animal.name}}</option>

  </select>

  <input type="number"
         ngModel
         name="amount"
         #amount="ngModel"
         required
         placeholder="amount in zoo bucks"/>
  <div>
  <button type="submit" [disabled]="sponsoredPayment.form.invalid">
    Pay now
  </button>
  </div>
  </div>
  <div *ngIf="id.errors">
    <p class="warning" *ngIf="id.errors?.['required']">Animal selection is required</p>
  </div>
  <div *ngIf="amount.errors">
    <p class="warning" *ngIf="amount.errors?.['required']">Pay amount is required</p>
  </div>
</form>
